﻿/**
 * 一個日誌訊息。每當有新的日誌訊息產生時，由Logger實體 
 * 傳給所有已註冊的日誌觀察者。
 */
class logger.LogMessage {
  // 要傳送的日誌訊息文字。 
  private var msg:String;
  // 這個訊息的嚴重等級。
  private var level:Number;

  /**
   * LogMessage建構子
   */
  public function LogMessage (m:String, lev:Number) {
    setMessage(m);
    setLevel(lev);
  }

  /**
   * 設定日誌訊息。
   */
  public function setMessage (m:String):Void {
    msg = m;
  }

  /**
   * 傳回日誌訊息。
   */
  public function getMessage (  ):String {
    return msg;
  }

  /**
   * 設定這個訊息的嚴重等級。
   */
  public function setLevel (lev:Number):Void {
    level = lev;
  }

  /**
   * 傳回這個訊息的嚴重等級。
   */
  public function getLevel (  ):Number {
    return level;
  }
}