﻿import util.Observer;

/**
 * 定義任何想在觀察者設計模式中，成為「對象」的類別所需的方法。
 */
interface util.Observable {
  public function addObserver(o:Observer):Boolean;
  public function removeObserver(o:Observer):Boolean
  public function notifyObservers(infoObj:Object):Void
  public function clearObservers():Void;
  public function hasChanged():Boolean;
  public function setChanged():Void;
  public function clearChanged():Void;
  public function countObservers():Number;
}