﻿import util.Observable;

/**
 * 這個介面必須被Observalble物件的  
 * 所有觀察者實作。
 */
interface util.Observer {
  /**   
  * 當被觀察的物件改變時，這裡的程式將自動被它呼叫。 
  *    
  * @param   o   		被觀察的物件（Observable的一個實體）。 
  * @param   infoObj   	從被觀察的物件傳送出的一個   
  *                   	資料物件。 
  */ 
  public function update(o:Observable, infoObj:Object):Void;
}